Subject: Re: (radius) interim-update accounting

From: "Andrew Morton" <[email-masked]>
Date: Wed, 01 Mar 2000 05:03:07 +0000

Thanks, Glen.

Do you know why the Acct-Interim-Interval attribute is restricted
to Access-Accept?  What would be the issues if this were also
used by the server to modify the interval mid-session?

Glen Zorn wrote:
> 
> At 02:18 AM 03/01/2000 +0000, Andrew Morton wrote:
> >
> >[ Aplogies if this is an FAQ - I've just joined ].
> >
> >This concerns interim accounting - the ability for a client to
> >periodically send accounting updates to the server for a particular
> >session.
> >
> >I note that draft-ietf-radius-accounting-v2-05 mentions 'Interim-Update'
> >as being a valid value for the Acct-Status-Type attribute.  It doesn't
> >describe the design intent but I guess that's pretty obvious.
> >
> >I have a customer requirement for interim updates so this capability
> >will be useful.  But there is also a requirement to be able to adjust
> >the frequency with which the client sends the updates - perhaps hourly
> >for the first 24 hours, daily after that, etc.
> 
> Using the Acct-Interim-Interval attribute (see below), the update interval can be set on a per-session basis.
> 
> >
> >Has there been any consideration given to allowing the server to specify
> >this frequency?  This could be an attribute of the
> >accounting-request(start) message.  Alternatively (and I prefer this),
> >the server could add an attribute to each
> >accounting-request(interim-update) message's ack to tell the client when
> >it should next send an interim update.
> 
> The attribute is Acct-Interim-Interval; it is described in section 5.16 of http://www.ietf.org/internet-drafts/draft-ietf-radius-ext-07.txt; its usage is described in section 2.1 of the same document.  It is only allowed in Access-Accept messages.
> 
> >
> >I'd appreciate some guidance on how to provide this functionality - it
> >would be quite ideal if this capability were captured in the draft so
> >VSA proliferation can be avoided.
> >
> >Thanks.
> >-
> >To unsubscribe, email [email-masked]' with
> >'unsubscribe ietf-radius' in the body of the message.
> >
-
To unsubscribe, email [email-masked]' with
'unsubscribe ietf-radius' in the body of the message.